# Dapr Community

Welcome to the Dapr community. This is the starting point for becoming a contributor, improving the code and docs, giving presentations and all the goodness of helping out on the project. We are a friendly, collaborative group and look forward to working together.

- [Introduction](#introduction)
- [Dapr authors](#dapr-authors)
- [Questions and issues](#questions-and-issues)
- [Communication and Discord](#communication-and-discord)
- [Community calls](#community-calls)
- [Upcoming dates](#upcoming-dates)
- [Dapr Blog](#dapr-blog)
- [Roles](#roles)
- [How can I get involved?](#how-can-i-get-involved)
- [Other documents](#other-documents)

## Introduction
The Distributed Application Runtime, Dapr, is a portable, serverless, event-driven runtime that makes it easy for developers to build resilient, stateless and stateful microservices that run on the cloud and edge and embraces the diversity of languages and developer frameworks.

Dapr codifies the best practices for building microservice applications into open, independent, building blocks that enable you to build portable applications with the language and framework of your choice. Each building block is independent and you can use one, some, or all of them in your application.

Visit [dapr.io](https://dapr.io) for information about Dapr.

## Dapr authors
Dapr is an open source project with an active development community.

## Communication and Discord
We would greatly appreciate your contributions and suggestions! One of the easiest ways to contribute is to participate in Discord discussions, or join the bi-monthly [community calls](#community-calls).

### Questions and issues
Reach out with any questions you may have and we'll make sure to answer them as soon as possible and as a community member feel free to jump in and answer questions.

| Platform  | Link        |
|:----------|:------------|
| 💬 Discord (preferred) | [![Discord widget](https://discord.com/api/guilds/778680217417809931/widget.png?style=banner2)](http://bit.ly/dapr-discord)<br />http://bit.ly/dapr-discord
| 🐤 Twitter | [@daprdev](https://twitter.com/daprdev)

### Community calls
Every two weeks we live stream a community call on [YouTube](https://www.youtube.com/@daprdev) to showcase new features, highlight client case studies, review upcoming milestones, and engage in a Q&A. For these community calls, anyone from the Dapr community can participate, present a topic, or host. All are welcome!

[Issues in this community repo](https://github.com/dapr/community/issues) are used to plan the community calls and suggest topics. The next three upcoming calls are pinned as issues in this repository and can be used to submit suggestions for the call. To speak about a Dapr related topic on a community call, comment on the issue for the date you would like to present on. Alternatively, you're also welcome to use the #general channel in the [Dapr Discord server](https://bit.ly/dapr-discord) to talk about future agenda topics. The meeting agenda for each call is finalized by the community call host.

Community members (members of the Dapr GitHub org) can nominate themselves via an issue on the dapr/community repository to be a community call host. Members become approved community call hosts when two or more existing community hosts approve their request, similar to how members and approvers get accepted today.

You can watch community calls live on our [YouTube stream](https://www.youtube.com/@DaprDev/streams) or rewatch the recording later on the [Dapr YouTube channel](https://www.youtube.com/@daprdev).

#### Upcoming dates

Use the upcoming calendar events below to add the community call events to your calendar.

<!--
!!!REMINDER!!!

When adding new scheduled meetings to this list:
* make sure to update the URL for each entry too. The `iso` param should be updated following the `YYYYMMDD` format.
* make sure the suffix is correct for the numeral: `st`, `nd`, `th` so it reads right like `22nd` and not `22th`
-->

| Date & time | Agenda
| - | -
| Wednesday Apr 3<sup>rd</sup> 9:00am Pacific Time (PST) - [See it in your local time and add to your calendar](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20240403T09&p1=234&msg=Dapr+Community+Call) | dapr/community#375
| Wednesday Apr 17<sup>th</sup> 9:00am Pacific Time (PST) - [See it in your local time and add to your calendar](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20240417T09&p1=234&msg=Dapr+Community+Call) | dapr/community#376
| Wednesday May 1<sup>st</sup> 9:00am Pacific Time (PST) - [See it in your local time and add to your calendar](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20240501T09&p1=234&msg=Dapr+Community+Call) | dapr/community#377

#### China Community Meetings

Every two weeks we also host a Dapr China Community Meeting in Chinese! For more detail, please go to the website of China Dapr Community website: 

https://cn.dapr.io/meeting/

每两周我们也将举行一次 Dapr 中国社区会议，会议语言为中文，欢迎参加。请点击上面的链接进入 Dapr 中国社区网站获取会议的详细信息。

### Milestone and design discussion meetings

Every week, we meet to plan and sync on the progress for the milestone's release. This meeting includes maintainers and active contributors and usually lasts for about 30-60 minutes. If you would like to **actively contribute** towards a milestone, you are welcome to join that meeting too.

<!--
We are using a different link from Community Call because the Community Call requires the host to admit each person. In the weekly syncs, we "never" login with the host account.
-->
**Zoom Call:** https://zoom.us/j/91940016938<br> <!-- Do not add password to the Zoom URL. -->
**Meeting ID:** 919 4001 6938<br>
**Passcode:** 152697<br> 
**Schedule:** Tuesdays at 9:00am US/Pacific Time (PT).

Visit [here](https://github.com/dapr/community/blob/master/release-process.md) to learn more about the Dapr release process.

#### Maintainers Only Sync Meeting

Every Monday at 9 am US/Pacific maintainers meet privately to discuss project priorities and concerns. New maintainers will receive access to the **Maintainers** channel in our Discord server where the meeting passcode will be shared.

**Zoom Call:** https://zoom.us/j/91911083168<br> <!-- Do not add password to the Zoom URL. -->
**Meeting ID:** 919 1108 3168<br>
**Passcode:** Shared in **Maintainers** Discord channel<br> 
**Schedule:** Mondays at 9am US/Pacific Time.

#### JavaScript SDK Milestone Sync 

Every week, the JavaScript maintainers meet to plan and sync on the progress for the SDK's milestone release. These meetings are open to the entire Dapr community. More information about the weekly JavaScript sync can be found here: [Community engagement - dapr/js-sdk Wiki](https://github.com/dapr/js-sdk/wiki/Community-engagement)


### Dapr China Community

For better communication between Dapr users and developers in China, we set up a Dapr China Community. For more information, please go to this website:

https://cn.dapr.io/

为了让中国区的 Dapr 用户和开发者更好的相互交流，我们组建了 Dapr 中国社区。更多详情，请点击上述链接进入 Dapr 中国社区网站。

## Dapr blog
The [Dapr blog](https://blog.dapr.io/posts) has regular posts on releases, technical articles and upcoming events. If you would like to author a post, reach out to us with a suggestion. 

## Roles

There are a several different roles that are available in the community.

### Community membership
There are various contributor roles in the Dapr community that you are strongly encouraged to be part of. Read [Community membership](community-membership.md)
for more information.

### Release team
At the start of a milestone a release team is chosen. The release team has the responsibility of enforcing processes to ensure the release is successfully delivered.  Read about the [Release process](https://github.com/dapr/community/blob/master/release-process.md#release-team)
for more information.

### Steering committee member
The Dapr project has a single governance body called the Steering and Technical Committee (STC). The STC is responsible for the health of the Dapr community and for overall technical oversight. Read [Steering and Technical Committee (STC)](steering-and-technical-committee-charter.md)for more information.

### Administrator Role
Administrators have access to credentials equivalent to members of the steering and technical commitee (STC) and are responsible to perform pre-approved routine maintenance duties and ad-hoc tasks delegated by the STC without making isolated decisions. Read [Administrator Role](ADMINISTRATORS.md) for more information.

### Community Manager Role
Community managers are responsible for managing many aspects of the Dapr community. The role is to engage and promote the Dapr community and have someone that the community can reach out to for guidance. Read [Community Manager](COMMUNITY-MANAGER.md) for more information.

## How can I get involved?

One of the easiest ways to contribute is to participate in discussions at community engagements or write a blog entry.

If you're looking for something to work on, read the [contribution guidelines](https://docs.dapr.io/contributing/) and then you start by looking for GitHub issues, marked with "Good First Issue" or the "Help Wanted" labels:

- [Dapr runtime repo](https://github.com/dapr/dapr/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)
- [Dapr CLI repo](https://github.com/dapr/cli/labels/good%20first%20issue)
- [Documentation repo](https://github.com/dapr/docs/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22)
- [Quickstarts repo](https://github.com/dapr/quickstarts/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)

And, we can always use more testing, have more and improved docs, or just write a blog post on what you have discovered whilst using Dapr.

If you're a developer, read the [development guide](https://github.com/dapr/dapr/tree/master/docs/development) for help on how to get started.

Finally consider achieving one of the many [roles](#roles) that are in the Dapr project.

## Other Documents

Related documents 
- [Release process](release-process.md) - describes the Dapr release process and cadence
- [Contributing to Dapr](https://docs.dapr.io/contributing/) - guidelines and advice on becoming a contributor
- [Steering and Technical Committee (STC)](steering-and-technical-committee-charter.md) - describes the steering and technical committee governing body for Dapr and its charter.
- [Community membership](community-membership.md) - describes the various responsibilities of contributor roles in the Dapr community
- [Developer Guide](https://github.com/dapr/dapr/tree/master/docs/development) - describes how to get involved with Dapr development

## Code of Conduct
This project has adopted the [Contributor Covenant Code of Conduct](CODE-OF-CONDUCT.md)
